Loading...
Searching...
No Matches
form_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr >

## Detailed Description

template<class BinaryFunction, class NLExpr, class VFExpr>
class rheolef::details::form_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr >

Definition at line 667 of file form_expr_variational.h.

## Public Types

typedef geo_element::size_type | size_type
typedef promote_memory< typenameNLExpr::memory_type, typenameVFExpr::memory_type >::type | memory_type
typedef details::generic_binary_traits< BinaryFunction >::template result_hint< typenameNLExpr::value_type, typenameVFExpr::value_type >::type | result_hint
typedef details::generic_binary_traits< BinaryFunction >::template hint< typenameNLExpr::value_type, typenameVFExpr::value_type, result_hint >::result_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< scalar_type, memory_type > | space_type
typedef details::bf_vf_tag< BinaryFunction, details::vf_tag_00, typenameVFExpr::vf_tag_type >::type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef form_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, VFExpr > | self_type
typedef form_expr_v2_variational_binary_binded< BinaryFunction, NLExpr, typename VFExpr::dual_self_type > | dual_self_type
typedef VFExpr::maybe_symmetric::type | maybe_symmetric

## Public Member Functions

| form_expr_v2_variational_binary_binded (const BinaryFunction &f, const NLExpr &nl_expr, const VFExpr &vf_expr)
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
size_type | n_derivative () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Tensor< Result, 3 > &value) const
template<class Result >
bool | valued_check () const

## Public Attributes

BinaryFunction | _f
NLExpr | _nl_expr
VFExpr | _vf_expr

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Member Typedef Documentation

## size_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef geo_element::size_type size_type

Definition at line 671 of file form_expr_variational.h.

## memory_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef promote_memory<typenameNLExpr::memory_type,typenameVFExpr::memory_type>::type memory_type

Definition at line 673 of file form_expr_variational.h.

## result_hint

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::generic_binary_traits<BinaryFunction>::template result_hint<typenameNLExpr::value_type,typenameVFExpr::value_type>::type result_hint

Definition at line 676 of file form_expr_variational.h.

## value_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::generic_binary_traits<BinaryFunction>::template hint<typenameNLExpr::value_type,typenameVFExpr::value_type,result_hint>::result_type value_type

Definition at line 680 of file form_expr_variational.h.

## scalar_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef scalar_traits<value_type>::type scalar_type

Definition at line 681 of file form_expr_variational.h.

## float_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef float_traits<value_type>::type float_type

Definition at line 682 of file form_expr_variational.h.

## space_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef space_basic<scalar_type,memory_type> space_type

Definition at line 683 of file form_expr_variational.h.

## vf_tag_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::bf_vf_tag<BinaryFunction,details::vf_tag_00,typenameVFExpr::vf_tag_type>::type vf_tag_type

Definition at line 686 of file form_expr_variational.h.

## vf_dual_tag_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 688 of file form_expr_variational.h.

## self_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef form_expr_v2_variational_binary_binded<BinaryFunction,NLExpr,VFExpr> self_type

Definition at line 689 of file form_expr_variational.h.

## dual_self_type

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef form_expr_v2_variational_binary_binded<BinaryFunction,NLExpr,typename VFExpr::dual_self_type> dual_self_type

Definition at line 691 of file form_expr_variational.h.

## maybe_symmetric

template<class BinaryFunction , class NLExpr , class VFExpr >

typedef VFExpr::maybe_symmetric::type maybe_symmetric

Definition at line 692 of file form_expr_variational.h.

## Constructor & Destructor Documentation

## form_expr_v2_variational_binary_binded()

template<class BinaryFunction , class NLExpr , class VFExpr >

form_expr_v2_variational_binary_binded | ( | const BinaryFunction & | f,
|  | const NLExpr & | nl_expr,
|  | const VFExpr & | vf_expr
| ) |  |

Definition at line 701 of file form_expr_variational.h.

## Member Function Documentation

## get_trial_space()

template<class BinaryFunction , class NLExpr , class VFExpr >

const space_type & get_trial_space | ( |  | ) | const

Definition at line 711 of file form_expr_variational.h.

## get_test_space()

template<class BinaryFunction , class NLExpr , class VFExpr >

const space_type & get_test_space | ( |  | ) | const

Definition at line 712 of file form_expr_variational.h.

## n_derivative()

template<class BinaryFunction , class NLExpr , class VFExpr >

size_type n_derivative | ( |  | ) | const

Definition at line 713 of file form_expr_variational.h.

## initialize() [1/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 717 of file form_expr_variational.h.

## initialize() [2/2]

template<class BinaryFunction , class NLExpr , class VFExpr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 721 of file form_expr_variational.h.

## evaluate()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Tensor< Result, 3 > & | value
| ) |  | const

Definition at line 729 of file form_expr_variational.h.

## valued_check()

template<class BinaryFunction , class NLExpr , class VFExpr >
template<class Result >

bool valued_check | ( |  | ) | const

Definition at line 751 of file form_expr_variational.h.

## Member Data Documentation

## valued_hint

template<class BinaryFunction , class NLExpr , class VFExpr >

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 697 of file form_expr_variational.h.

## _f

template<class BinaryFunction , class NLExpr , class VFExpr >

BinaryFunction _f

Definition at line 761 of file form_expr_variational.h.

## _nl_expr

template<class BinaryFunction , class NLExpr , class VFExpr >

NLExpr _nl_expr

Definition at line 762 of file form_expr_variational.h.

## _vf_expr

template<class BinaryFunction , class NLExpr , class VFExpr >

VFExpr _vf_expr

Definition at line 763 of file form_expr_variational.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/form_expr_variational.h